com.google.gwt.core.server

## Interface ServerGwtBridge.ClassInstantiator

All Known Implementing Classes:
  LocalizableInstantiator, ObjectNew, ServerGwtBridge.ClassInstantiatorBase

Enclosing class:
  ServerGwtBridge

    public static interface ServerGwtBridge.ClassInstantiator

Something that knows how to provide an instance of a requested class.

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> T` `create(java.lang.Class<?> baseClass, ServerGwtBridge.Properties properties)` Create an instance given a base class.

### Method Detail

#### create

    <T> T create(java.lang.Class<?> baseClass,
                 ServerGwtBridge.Properties properties)

Create an instance given a base class. The created class may be a subtype of the requested class.

Type Parameters:
  `T` -
Parameters:
  `baseClass` -
  `properties` -
Returns:
  instance or null if unable to create